org.apache.ignite.internal.processors.streamer

## Class GridStreamerRouteFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.streamer.GridStreamerRouteFailedException

All Implemented Interfaces:
  Serializable

    public class GridStreamerRouteFailedException
    extends IgniteCheckedException

Exception thrown when router did not return route map. In this case pipeline execution is stopped and corresponding callback is executed on originating node.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridStreamerRouteFailedException(String msg)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridStreamerRouteFailedException

    public GridStreamerRouteFailedException(String msg)

Parameters:
  `msg` - Error message.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015